> ## Documentation Index
> Fetch the complete documentation index at: https://intunedhq.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Run API - Result

> Get Run result.



## OpenAPI

````yaml get /{workspaceId}/projects/{projectName}/run/{runId}/result
openapi: 3.1.0
info:
  title: Intuned Client
  version: 0.0.2
  description: Programmatically trigger automations, manage Jobs, and handle AuthSessions.
  termsOfService: https://intuned.ai/terms
  contact:
    email: founders@intunedhq.com
servers:
  - url: https://app.intuned.io/api/v1/workspace
    description: Base URL for Intuned API.
security:
  - api_key: []
tags:
  - name: projects.jobs
    description: Project Jobs API
  - name: projects.jobs.runs
    description: Project JobRuns API
  - name: projects.runs
    description: Run APIs
  - name: projects.authSessions
    description: Manage AuthSessions
  - name: projects.authSessions.validate
    description: Validate AuthSession
  - name: projects.authSessions.create
    description: Create AuthSession
  - name: projects.authSessions.update
    description: Update AuthSession
externalDocs:
  description: Find out more about Intuned
  url: https://intunedhq.com/docs/
paths:
  /{workspaceId}/projects/{projectName}/run/{runId}/result:
    get:
      tags:
        - projects.runs
      summary: Run API - Result
      description: Get Run result.
      operationId: runApiResult
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          description: >-
            Your workspace ID. [How to find
            it](/main/03-how-to/manage/manage-workspace#how-to-get-your-workspace-id)?
          example: 123e4567-e89b-12d3-a456-426614174000
          in: path
          name: workspaceId
          x-speakeasy-globals-hidden: true
        - schema:
            type: string
          required: true
          description: The name you assigned when creating the Project.
          example: my-project
          in: path
          name: projectName
        - schema:
            format: nanoid
            type: string
          required: true
          description: Run ID
          example: aabbccddeeffggh
          in: path
          name: runId
      responses:
        '200':
          description: Run result with status and output data.
          content:
            application/json:
              schema:
                type: object
                properties:
                  runId:
                    type: string
                    description: Unique identifier for the run, prefixed nanoId (ru_...)
                  status:
                    type: string
                    enum:
                      - pending
                      - started
                      - completed
                      - canceled
                      - failed
                    description: Status of the run execution
                    example: completed
                  result:
                    description: Output result of the run execution
                  extendedPayloads:
                    type: array
                    items:
                      type: object
                      properties:
                        api:
                          type: string
                          description: >-
                            The name of the API to be executed. This is the file
                            path relative to the `api` folder inside your
                            project.
                        runId:
                          type: string
                        parameters:
                          type: object
                          additionalProperties: true
                          description: The parameters to be passed to the API.
                          example:
                            param1: value1
                            param2: 42
                            param3: true
                      required:
                        - api
                    description: Extended payloads from the run execution
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                        description: Error message describing the failure
                        example: An error occurred while executing the run
                      code:
                        type: string
                        enum:
                          - internal-server-error
                          - script-process-crashed
                          - unexpected
                          - script-process-crashed
                          - script-execution-exception
                          - script-no-valid-output-received
                          - result-too-big-error
                          - script-timeout
                          - script-unexpected-error
                          - auth-check-failed
                          - all-attempts-failed
                          - check-attempts-failed
                          - create-attempts-failed
                          - post-create-check-attempts-failed
                          - api-attempts-failed
                          - onepassword-integration-error
                          - job-run-terminated
                        description: >-
                          Optional error code for more specific error
                          identification
                        example: script-process-crashed
                      category:
                        type: string
                        enum:
                          - infrastructure
                          - execution
                          - auth
                          - user
                          - billing
                      retirable:
                        type: boolean
                        default: false
                      doc_url:
                        type: string
                        description: Optional URL to documentation for this error
                        example: >-
                          https://intunedhq.com/docs/main/support/errors#run-execution-error
                      correlation_id:
                        type: string
                        description: Optional correlation ID for tracing the error in logs
                        example: 123e4567-e89b-12d3-a456-426614174000
                      details: {}
                    required:
                      - message
                      - category
                  message:
                    type: string
                    description: Error or reason message
                  reason:
                    type: object
                    properties:
                      type:
                        type: string
                        enum:
                          - auth-session-validate-dependency-failed
                          - terminated
                          - job-run-paused
                          - job-run-terminated
                          - failed-to-initialize-job-run
                          - api-access-disabled
                          - cancelled-user-action
                      message:
                        type: string
                      doc_url:
                        type: string
                        description: Optional URL to documentation for this error
                        example: >-
                          https://intunedhq.com/docs/main/support/reasons#terminated
                      details: {}
                    required:
                      - type
                      - message
                required:
                  - runId
                  - status
              examples:
                completed:
                  value:
                    runId: '123'
                    status: completed
                    result:
                      key1: value1
                      key2: 42
                    extendedPayloads:
                      - api: my-awesome-api
                        runId: '123'
                        parameters:
                          param1: value1
                          param2: 42
                failed:
                  value:
                    runId: '123'
                    status: failed
                    error:
                      code: all-attempts-failed
                      message: All attempts to run the integration have failed.
                pending:
                  value:
                    runId: '123'
                    status: pending
      x-codeSamples:
        - lang: typescript
          label: runApiResult
          source: |
            import { IntunedClient } from "@intuned/client";

            const client = new IntunedClient({
              workspaceId: "123e4567-e89b-12d3-a456-426614174000",
              apiKey: process.env["INTUNED_API_KEY"] ?? "",
            });

            async function run() {
              const result = await client.projects.runs.result(
                "my-project",
                "aabbccddeeffggh",
            );

              console.log(result);
            }

            run();
        - lang: python
          label: Python (SDK)
          source: |-
            from intuned_client import IntunedClient
            import os


            with IntunedClient(
                workspace_id="123e4567-e89b-12d3-a456-426614174000",
                api_key=os.getenv("INTUNED_API_KEY", ""),
            ) as client:

                res = client.projects.runs.result(
                    project_name="my-project",
                    run_id="aabbccddeeffggh",
                )

                print(res)
components:
  securitySchemes:
    api_key:
      type: apiKey
      description: >-
        API Key used to authenticate your requests. [How to create
        one](/main/03-how-to/manage/manage-api-keys).
      in: header
      name: x-api-key

````